Bug 481667 - Review Request: xmlenc - XML output library for java.
Review Request: xmlenc - XML output library for java.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 17:38 EST by Fabian Deutsch
Modified: 2009-11-05 05:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-01 13:49:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2009-01-26 17:38:05 EST
Spec URL: http://www.informatik.uni-bremen.de/~fabiand/fedora/hadoop/xmlenc.spec
SRPM URL: http://www.informatik.uni-bremen.de/~fabiand/fedora/hadoop/xmlenc-0.52-2.fc9.src.rpm
Description:
The xmlenc library is a fast stream-based XML output library for Java.
http//xmlenc.sf.net

My first java package. I've used the non standard group Development/Libraries/Java. But rpmlint doesn't show more errors.
Comment 1 Fabian Deutsch 2009-01-26 17:45:19 EST
One small issue is related to ant. I get the following warning when running rpmbuild -ba:

jar:
    [mkdir] Created dir: /home/makerpm/rpmbuild/BUILD/xmlenc-0.52/build/classes/main
    [javac] Compiling 11 source files to /home/makerpm/rpmbuild/BUILD/xmlenc-0.52/build/classes/main
    [javac] 
    [javac]           WARNING
    [javac] 
    [javac] The -source switch defaults to 1.5 in JDK 1.5 and 1.6.
    [javac] If you specify -target 1.3 you now must also specify -source 1.3.
    [javac] Ant will implicitly add -source 1.3 for you.  Please change your build file.
      [jar] Building jar: /home/makerpm/rpmbuild/BUILD/xmlenc-0.52/build/xmlenc.jar



I actually don't know how to fix this.
Comment 3 Mamoru TASAKA 2009-01-27 13:58:15 EST
Some notes for 0.52-3:

- After discussion on fedora-devel-list, we reached consensus
  that duplicating Name in Summary is redundant.

------------------------------------------------------------
I've used the non standard group
Development/Libraries/Java. But rpmlint doesn't show more errors.
------------------------------------------------------------
- rawhide rpmlint (rpmlint-0.85-3.fc11) still complains about
  this ($ rpmlint -I non-standard-group for details)

- For Sourceforge hosted source code, please refer to
  https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

- # Doesn't run with gcj, so better build it with icedtea/openjdk too
  In such case, please use
------------------------------------------------------------
BuildRequires:	java-devel >= 1:1.6.0
Requires:	java >= 1:1.6.0
------------------------------------------------------------
  Note that this (Build)Requires has Epoch (1:). On Fedora
  this is Provided only by java-1.6.0-openjdk(-devel)

- Install java .jar file under %_javadir, not %_javadir/%name-%version.
  https://fedoraproject.org/wiki/Packaging/Java#Directory_structure

------------------------------------------------------------
install -d -m 755 %{buildroot}%{_docdir}/%{name}-%{version}
cp -pR CHANGES COPYRIGHT README THANKS %{buildroot}%{_docdir}/%{name}-%{version}/
------------------------------------------------------------
- Using %doc is simpler.
Comment 4 Fabian Deutsch 2009-01-27 20:20:23 EST
Yes, that was some what redundant.

rpmlint also showed this non-standard-group error to me. I just looked at some other packages which used thos group tag. I was unsure whether non standard names are allowed or not.

Download url is fixed.

So when requiring explicitly icedtea I just use java(-devel) >= :1.6.0? Because sometimes it does not work, compiling some java classes with gcj, so i really need to maek sure that openjdk is used.

Path is fixed.

I was quite dumb not using %doc.

Updated:
http://www.informatik.uni-bremen.de/~fabiand/fedora/hadoop/xmlenc.spec
http://www.informatik.uni-bremen.de/~fabiand/fedora/hadoop/xmlenc-0.52-4.fc9.src.rpm

Thanks.
Comment 5 Mamoru TASAKA 2009-01-29 13:57:28 EST
(In reply to comment #4)
> rpmlint also showed this non-standard-group error to me. I just looked at some
> other packages which used thos group tag. I was unsure whether non standard
> names are allowed or not.
  - Unless you have some reason you want to use the previous Group
    tag, I suggest to follow the suggestion from rpmint.

> Download url is fixed.
  - Note that wiki suggest
    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
    (middle "sourceforge" is not written)

> So when requiring explicitly icedtea I just use java(-devel) >= 1:1.6.0? 
    (please make it sure that you use epoch here)
  - I guess you wanted to say "openjdk" because on F-9/10/11 icedtea
    no longer exists. However, yes, with
    "(Build)Requires: java-devel >= 1:1.6.0" java-1.6.0-openjdk(-devel) is
    always selecteed, because "java-1.5.0-gcj(-devel)" does not satisfy
    this (Build)Requires.


Now looks good (however I suggest to modify the SourceURL a bit)
----------------------------------------------------------
    This package (xmlenc) is APPROVED by mtasaka
----------------------------------------------------------
Comment 6 Fabian Deutsch 2009-01-29 15:31:35 EST
New Package CVS Request
=======================
Package Name: xmlenc
Short Description: Light-weight XML output library for Java
Owners: fabiand
Branches: F-10
InitialCC: fabiand mtasaka
Comment 7 Fabian Deutsch 2009-01-29 15:37:43 EST
URL modified to match the guidelines. Was a mistake, I did not read acrefully enough.

http://www.informatik.uni-bremen.de/~fabiand/fedora/hadoop/xmlenc.spec
http://www.informatik.uni-bremen.de/~fabiand/fedora/hadoop/xmlenc-0.52-5.fc9.src.rpm
Comment 8 Kevin Fenzi 2009-01-30 01:40:52 EST
cvs done.
Comment 9 Fabian Deutsch 2009-02-01 13:49:00 EST
Included in cvs:
http://cvs.fedoraproject.org/viewvc/rpms/xmlenc/
Comment 10 Fabian Deutsch 2009-02-01 13:57:10 EST
At last found the right way to close this bug.
Comment 11 Vedran Miletić 2009-11-04 17:29:17 EST
Hi, I just found this bug searching for Hadoop. I see it's just because Fabian's link includes hadoop.

Fabian, does that mean that this was a part of an idea to bring Hadoop package to Fedora, or is it something else entirely?

There is also bug 484279 and bug 484281, which are about Hadoop dependencies, but haven't been touched for a while.
Comment 12 Fabian Deutsch 2009-11-04 17:52:27 EST
Yes it was a plan to bring hadoop to fedora, because of some needs of spacewalk (lucene).
But I stopped working on it after some release of hadoop, because the dependencies of hadoop grew massively ...

Currently I am not packaing anything for hadoop because of this dependency hell :)
Comment 13 Vedran Miletić 2009-11-05 03:57:57 EST
Well, can you at least estimate how many packages would we need to bring to Fedora in order to build Hadoop?
Comment 14 Fabian Deutsch 2009-11-05 05:26:05 EST
Some dependencies for 0.19 are listed here 
https://fedorahosted.org/spacewalk/wiki/GettingPackagesIntoFedora/Nutch

But the 0.20 release needs ivj, some new buidltool, that stopped me. Also other dependecies might have been changed/added.

Note You need to log in before you can comment on or make changes to this bug.